Subject: Re: Unable to halt or reboot due to - unregister_netdevice: waiting for eth0.20 to become free. Usage count = 1

From: Ben Greear <[email-masked]>
Date: Thu, 31 Aug 2006 08:30:26 -0700

Jesper Juhl wrote:
> Hi,
> 
> I've got a small problem with 2.6.18-rc5-git2.
> 
> I've got a vlan setup on eth0.20, eth0 does not have an IP.
> 
> When I attempt to reboot or halt the machine I get the following
> message from the loop in net/core/dev.c::netdev_wait_allrefs() where
> it waits for the ref-count to drop to zero.
> Unfortunately the ref-count stays at 1 forever and the server never
> gets any further.
> 
>  unregister_netdevice: waiting for eth0.20 to become free. Usage count = 1
> 
> I googled a bit and found that people have had similar problems in the
> past and could work around them by shutting down the vlan interface
> before the 'lo' interface. I tried that and indeed, it works.
> 
> Any idea how we can get this fixed?

This is usually a ref-count leak somewhere.  Used to be IPv6 had 
issues..then there were some neighbor leaks...but these were fixed as 
far as I know.

Can you reproduce this on older kernels?

Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com